#ifndef BLOBS_H
#define BLOBS_H

typedef struct blob
{
    int x, y;
    float z;
    unsigned char a, r, g, b;
    int size;
} blob;

typedef struct blob_bitmap
{
    int width;
    unsigned char *bitmap;
}blob_bitmap;

void InitBlobGfx();
void DrawZoomBlob(blob *bl, unsigned char *src, unsigned int *vram, unsigned char r, unsigned char g, unsigned char b, bool filtering);
void ClearZoomBlob(blob *bl, unsigned char *src, unsigned int *vram);

void DrawBlob(blob *bl, unsigned char *src, unsigned int *vram, unsigned char r, unsigned char g, unsigned char b);
void ClearBlob(blob *bl, unsigned char *src, unsigned int *vram);

#endif
